## unicon 3.0.4

=== scripts/Makefile ===
prefix=/usr
all:
install:
	if [ ! -d $(prefix)/bin ] ; then mkdir -p $(prefix)/bin; fi
	echo Installing unicon startup script into system directory...
	install -m 755 -o root -g root unicon-start $(prefix)/bin/unicon-start
	install -m 755 -o root -g root unicon-init /etc/rc.d/init.d/unicon
	chkconfig --add unicon
	chkconfig unicon on
clean:
	rm -f core *.bak *~

distclean: clean
	rm -f Makefile
