=== unicon/ImmModules/cxterm/dict/jis/Makefile ===
DICTCFLAGS =
DICTC = ../../utils/tit2cit

DICTDIR = $(LIBDIR)/cxterm.dic

OBJS =	Punct.cit QJ.cit ROMKANA.cit TCODE.cit

all::  $(OBJS)

clean::
	$(RM) *.cit core *~ *.bak tags TAGS

Punct.cit: Punct.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

QJ.cit: QJ.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

ROMKANA.cit: ROMKANA.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

TCODE.cit: TCODE.tit
	$(DICTC) $(DICTCFLAGS) $? > $@
