## unicon 3.0.4+dfsg1

=== unicon/ImmModules/cxterm/dict/big5/Makefile ===
DICTCFLAGS =
DICTC = ../../utils/tit2cit

DICTDIR = $(LIBDIR)/cxterm.dic

OBJS =	4Corner.cit ARRAY30.cit Boshiamy.cit CangJie.cit 	ETZY.cit English.cit HSU.cit PY.cit 	Punct.cit QJ.cit Simplex.cit ZOZY.cit 	simple.lx

all::  $(OBJS)

clean::
	$(RM) *.cit core *~ *.bak tags TAGS

4Corner.cit: 4Corner.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

ARRAY30.cit: ARRAY30.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

Boshiamy.cit: Boshiamy.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

CangJie.cit: CangJie.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

ETZY.cit: ETZY.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

English.cit: English.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

HSU.cit: HSU.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

PY.cit: PY.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

Punct.cit: Punct.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

QJ.cit: QJ.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

Simplex.cit: Simplex.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

ZOZY.cit: ZOZY.tit
	$(DICTC) $(DICTCFLAGS) $? > $@
