=== unicon/ImmModules/cxterm/dict/gb/Makefile ===
DICTCFLAGS =
DICTC = ../../utils/tit2cit

DICTDIR = $(LIBDIR)/cxterm.dic

OBJS =	CCDOSPY.cit CTLau.cit CangJie.cit English.cit 	HIRAGANA.cit KATAKANA.cit PY.cit Punct.cit 	QJ.cit QianMa.cit SW.cit TONEPY.cit 	TeleCode.cit WuBi.cit 	simple.lx

all::  $(OBJS)

clean::
	$(RM) *.cit core *~ *.bak tags TAGS

CCDOSPY.cit: CCDOSPY.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

CTLau.cit: CTLau.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

CangJie.cit: CangJie.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

English.cit: English.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

HIRAGANA.cit: HIRAGANA.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

KATAKANA.cit: KATAKANA.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

PY.cit: PY.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

Punct.cit: Punct.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

QJ.cit: QJ.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

QianMa.cit: QianMa.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

SW.cit: SW.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

TONEPY.cit: TONEPY.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

TeleCode.cit: TeleCode.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

WuBi.cit: WuBi.tit
	$(DICTC) $(DICTCFLAGS) $? > $@
