=== unicon/ImmModules/cxterm/dict/ks/Makefile ===
DICTCFLAGS =
DICTC = ../../utils/tit2cit

DICTDIR = $(LIBDIR)/cxterm.dic

OBJS =	HANGUL.cit HANJA.cit Punct.cit QJ.cit

all::  $(OBJS)

clean::
	$(RM) *.cit core *~ *.bak tags TAGS

HANGUL.cit: HANGUL.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

HANJA.cit: HANJA.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

Punct.cit: Punct.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

QJ.cit: QJ.tit
	$(DICTC) $(DICTCFLAGS) $? > $@
