=== debian/control ===
Source: unicon
Section: utils
Build-Depends: debhelper-compat (= 13),
 dh-sequence-pkgkde-symbolshelper,
 x11proto-core-dev,
 libx11-dev,
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders: xiao sheng wen <atzlinux@sina.com>,
Standards-Version: 4.7.0
Rules-Requires-Root: binary-targets
Vcs-Browser: https://salsa.debian.org/chinese-team/unicon
Vcs-Git: https://salsa.debian.org/chinese-team/unicon.git

Package: unicon-imc2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: unicon-im
Replaces: unicon-im
Provides: unicon-im
Description: Chinese Input Method Library
 General Chinese Input method interface and API. It is used by chinput and
 unicon now.
