=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export DEB_CFLAGS_MAINT_APPEND = -std=gnu17

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

# shared library versions, option 1
version=0.0
major=0

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_autoreconf:

override_dh_auto_configure:
	./configure --build=$(DEB_HOST_MULTIARCH) --prefix=/usr --includedir=\${prefix}/include --mandir=\${prefix}/share/man --infodir=\${prefix}/share/info --sysconfdir=/etc --localstatedir=/var --disable-option-checking --disable-silent-rules --libdir=\${prefix}/lib/$(DEB_HOST_MULTIARCH) --disable-maintainer-mode --disable-dependency-tracking

execute_after_dh_auto_build:
	$(MAKE) data

override_dh_auto_install:
	$(MAKE) install prefix=`pwd`/debian/unicon-imc2/usr DESTDIR=`pwd`/debian/unicon-imc2/usr
	$(MAKE) data-install prefix=`pwd`/debian/unicon-imc2/usr
	rm -rv `pwd`/debian/unicon-imc2/usr/bin

execute_after_dh_installdocs:
	iconv -f gb2312 -t UTF-8 -o debian/unicon-imc2/usr/share/doc/unicon-imc2/README_cn debian/unicon-imc2/usr/share/doc/unicon-imc2/README_cn
	iconv -f gb2312 -t UTF-8 -o debian/unicon-imc2/usr/share/doc/unicon-imc2/RELEASE_cn debian/unicon-imc2/usr/share/doc/unicon-imc2/RELEASE_cn
	iconv -f gb2312 -t UTF-8 -o debian/unicon-imc2/usr/share/doc/unicon-imc2/unicon_font_header.txt debian/unicon-imc2/usr/share/doc/unicon-imc2/unicon_font_header.txt
	iconv -f gb2312 -t UTF-8 -o debian/unicon-imc2/usr/share/doc/unicon-imc2/tech_unicon.txt debian/unicon-imc2/usr/share/doc/unicon-imc2/tech_unicon.txt
	iconv -f gb2312 -t UTF-8 -o debian/unicon-imc2/usr/share/doc/unicon-imc2/whitepaper_unicon.txt debian/unicon-imc2/usr/share/doc/unicon-imc2/whitepaper_unicon.txt
